Description

SCL validation was performed on ICD files with an SCL validation tool. An error was raised: ERROR: [SemanticConstraints] FCDA
(line 189) does not refer any existing DA or BDA in DataTypeTemplates section.

<DataSet desc="Analog Data" name="DSet01">

<FCDA IdInst="MET" prefix="MET" InClass="MMXU" InInst="1" doName="TotW" fc="MX" />

<FCDA IdInst="MET" prefix="MET" InClass="MMXU" InInst="1" doName="Hz" daName="mag" fc="MX" />

<FCDA IdInst="MET" prefix="MET" InClass="MMXU" Inlnst="1" doName="PhV" fc="MX" />

<FCDA IdInst="ANN" prefix="ANN" InClass="GGIO" InInst="1" doName="AnIn01" daName="mag" fc="MX" />
<FCDA IdInst="ANN" prefix="ANN" InClass="GGIO" InInst="1" doName="AnIn02" daName="mag" fc="MX" />
<FCDA IdInst="ANN" prefix="ANN" InClass="GGIO" InInst="1" doName="AnIn03" daName="mag" fc="MX" />
<FCDA IdInst="ANN" prefix="ANN" InClass="GGIO" InInst="1" doName="AnIn04" daName="mag" fc="MX" />
<FCDA IdInst="ANN" prefix="ANN" InClass="GGIO" InInst="1" doName="AnIn05" daName="mag" fc="MX" />
<FCDA IdInst="ANN" prefix="ANN" InClass="GGIO" InInst="1" doName="AnIn06" daName="mag" fc="MX" />
<FCDA IdInst="ANN" prefix="ANN" InClass="GGIO" InInst="1" doName="AnIn07" daName="mag" fc="MX" />
<FCDA IdInst="ANN" prefix="ANN" InClass="GGIO" InInst="1" doName="AnIn08" daName="mag" fc="MX" />

</DataSet>

Extract from DatatypeTemplates section:

<LNodeType id="MMXU_RTAC" iedType="" InClass="MMXU">
<DO name="Mod" type="ENC_mode_direct_enhanced_5032"/>
<DO name="Beh" type="ENS_behavior_5032"/>

<DO name="Health" type="ENS_health_5032"/>

<l-- Status information -->

<DO name="TotW" type="MV_5032"/>

<DO name="Hz" type="MV_5032"/>

<DO name="PhV" type="WYE_RTAC"/> [1]

</LNodeType>

<DOType id="WYE_RTAC" cdc="WYE">

<SDO name="phsA" type="CMV_5032"/> [2]
<SDO name="phsB" type="CMV_5032"/> [2]
<SDO name="phsC" type="CMV_5032"/> [2]
<DA name="phsToNeut" bType="BOOLEAN" valKind="RO" fc="CF">

<Val>true</Val>
</DA>
</DOType>

<DOType id="CMV_5032" cdc="CMV">

<DA name="instCVal" bType="Struct" type="Vector_5032" fc="MX"/>

<DA name="cVal" bType="Struct" type="Vector_5032" dchg="true" fc="MX"/>
<DA name="q" bType="Quality" qchg="true" fc="MX"/>

<DA name="t" bType="Timestamp" fc="MX"/>

</DOType>

The doName “PhV” of type “WYE_RTAC” [1] is a structured object type (SDO)[2]
and RiseClipse validation was expecting the following FCDAs as per table 22 of IEC 61850-6 Edition 2.1 2018-06 (Page: 95):

<FCDA IdInst="MET" prefix="MET" InClass="MMXU" InInst="1" doName="PhV.phsA" fc="MX" />
<FCDA IdInst="MET" prefix="MET" InClass="MMXU" InInst="1" doName="PhV.phsB" fc="MX" />
<FCDA IdInst="MET" prefix="MET" InClass="MMXU" InInst="1" doName="PhV.phsC" fc="MX" />
SCL Standard reference: IEC 61850-6 Ed2.1 Table 22 - Attributes of a FCDA element.
History

#1 - 02/11/2021 07:08 AM - Vladan Cvejic

- Subject changed from SCL validation was performed on ICD files with an SCL validation tool. An error was raised: ERROR: [SemanticConstraints]
FCDA ( to SCL validation - Should all name parts of PhV be contained in the doName?

- Status changed from New to In Progress
- Standard(s) changed from 6 to IEC 61850-6

- Estimated Completion changed from Once the folder for edition 2.1 is created in the new tissue database. Around june-20
Folder has been created, Camille Bloch to create the tissue (sep-20) to Once the folder for edition 2.1 is created in the new tissue database. Around
june-20 Folder has been created, Camille Bloch to create the tissue (sep-20)

- Discuss in Upcoming Meeting set to No

Checking done.

#2 - 06/21/2022 09:30 AM - Carlos Rodriguez del Castillo

- Discuss in Upcoming Meeting changed from No to Yes

#3 - 07/05/2022 08:20 AM - Vladan Cvejic
- Status changed from In Progress to Resolved
- Discuss in Upcoming Meeting changed from Yes to No

- To discuss in WG10 set to No

Editor of Part 6 to create related TISSUE.

#4 - 05/09/2023 09:12 AM - Carlos Rodriguez del Castillo
- Status changed from Resolved to Closed

- Needs More Information set to Yes

Solved in IEC 61850-6 Ed2.1, 7-2 Ed2.1
Conformance test "sDs15" just test all different possibilities of DO hirearchy in a dataset.
